Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.i18n
Class SandeshaMessageHelper

    java.lang.Object
      org.apache.sandesha2.i18n.SandeshaMessageHelper

    public class SandeshaMessageHelper

extends java.lang.Object

Field Summary
`static java.util.Locale` | `locale`
`static java.lang.String` | `msgBundleKey`
`static java.lang.String` | `projectName`
`static java.lang.String` | `resourceName`
`static java.util.ResourceBundle` | `rootBundle`
`static java.lang.String` | `rootPackageName`

Constructor Summary
`SandeshaMessageHelper()`

Method Summary
`static java.lang.String` | `getMessage(java.lang.String key)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3, java.lang.String arg4)` Get a message from resource.properties from the package of the given object.
`static void` | `innit()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### projectName

    public static final java.lang.String projectName

### resourceName

    public static final java.lang.String resourceName

### locale

    public static final java.util.Locale locale

### msgBundleKey

    public static final java.lang.String msgBundleKey

### rootPackageName

    public static final java.lang.String rootPackageName

### rootBundle

    public static final java.util.ResourceBundle rootBundle

Constructor Detail

### SandeshaMessageHelper

    public SandeshaMessageHelper()

Method Detail

### innit

    public static void innit()

### getMessage

    public static java.lang.String getMessage(java.lang.String key)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1,
                                              java.lang.String arg2)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1,
                                              java.lang.String arg2,
                                              java.lang.String arg3)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1,
                                              java.lang.String arg2,
                                              java.lang.String arg3,
                                              java.lang.String arg4)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
    `arg4` - The argument to place in variable {4}
  Returns:
    The formatted message
  Throws:
    `java.util.MissingResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.